diff --git a/app/addons/stripe/src/HookHandlers/CheckoutHookHandler.php b/app/addons/stripe/src/HookHandlers/CheckoutHookHandler.php
index 22a7c7102d6..ae08104fbcc 100644
--- a/app/addons/stripe/src/HookHandlers/CheckoutHookHandler.php
+++ b/app/addons/stripe/src/HookHandlers/CheckoutHookHandler.php
@@ -54,7 +54,7 @@ public function onPlaceOrderPreRoute($cart, $auth, $params)
      *  - Removes unnecessary notification in case of card payment.
      *
      * @param int                                                                        $order_id                Order ID
-     * @param array<array-key, string>                                                   $force_notification      List of force notification
+     * @param bool|array<array-key, string>                                              $force_notification      List of force notification if available
      * @param array<array-key, string|array<array-key, string|array<array-key, string>>> $order_info              Order data
      * @param bool                                                                       $_error                  Error support
      * @param string                                                                     $redirect_url            Redirect URL
@@ -64,7 +64,7 @@ public function onPlaceOrderPreRoute($cart, $auth, $params)
      *
      * @see \fn_order_placement_routines()
      */
-    public function onOrderPlacementRoutines($order_id, array $force_notification, array $order_info, $_error, $redirect_url, $allow_external_redirect)
+    public function onOrderPlacementRoutines($order_id, $force_notification, array $order_info, $_error, $redirect_url, $allow_external_redirect)
     {
         if (
             empty($order_info['payment_method']['processor'])
